// bsdselec.cpp : implementation file
//

#include "stdafx.h"
#include "winboot.h"
#include "bsdselec.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBSDSelect dialog


CBSDSelect::CBSDSelect(CWnd* pParent /*=NULL*/)
	: CDialog(CBSDSelect::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBSDSelect)
	m_sel = "";
	//}}AFX_DATA_INIT
}

void CBSDSelect::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBSDSelect)
	DDX_Control(pDX, IDC_COMBO1, m_selcombo);
	DDX_CBString(pDX, IDC_COMBO1, m_sel);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CBSDSelect, CDialog)
	//{{AFX_MSG_MAP(CBSDSelect)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CBSDSelect message handlers
void CBSDSelect::AddName(char *name)
{
	m_dirlist.Add(name);
	//m_selcombo.AddString()
}

BOOL CBSDSelect::OnInitDialog()
{
	CDialog::OnInitDialog();

	int i=m_dirlist.GetSize();

	while (i) {
		m_selcombo.AddString(m_dirlist.GetAt(--i));
	}           

	return TRUE;
}